Bug 11578 - ip-up/down passes parameters insecure to ip-up/down.local
Summary: ip-up/down passes parameters insecure to ip-up/down.local
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-22 14:39 UTC by thk
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 14:39:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description thk 2000-05-22 14:39:04 UTC
/etc/ppp/ip-up and /etc/ppp/ip-down should pass parameters to
ip-up.local and ip-down.local with "$@", *not* with $*

reproduce error:
If you start a pppd with 'pty' parameter the
ip-up/down scripts are called with an empty $2 (tty_name).
In ip-up/down.local all parameter positions after that are shifted
by one.

solution:
edit /etc/ppp/ip-{up,down} and change all occurences
of $* into "$@"  (with doublequotes)

Comment 1 Bill Nottingham 2000-07-12 19:10:22 UTC
Fixed in the latest initscripts packages.


Note You need to log in before you can comment on or make changes to this bug.